package com.hammurapi.extract.scripting;

import javax.script.ScriptEngineFactory;

import com.hammurapi.extract.Predicate;

public class ScriptingPredicate<T,C> extends ScriptingExtractor<T,Boolean,C> implements Predicate<T,C> {

	public ScriptingPredicate(
			String code, 
			ScriptEngineFactory sef,
			String[] parameterNames) {
		super(code, sef, parameterNames);
	}
	
	

}
